//
//  main.m
//  RNAnalyticsIntegration
//
//  Created by fathy on 05/08/2018.
//  Copyright © 2018 Segment.io, Inc. All rights reserved.
//

#import <React/RCTBridgeModule.h>
#import <RNAnalytics/RNAnalytics.h>
#import <Segment-CleverTap/SEGCleverTapIntegrationFactory.h>

@interface RNAnalyticsIntegration_CleverTap: NSObject<RCTBridgeModule>
@end

@implementation RNAnalyticsIntegration_CleverTap

RCT_EXPORT_MODULE()

RCT_EXPORT_METHOD(setup) {
    [RNAnalytics addIntegration:SEGCleverTapIntegrationFactory.instance];
}

@end
